<html version="2.0">
<head>
<title>Status Page</title>
</head>
<body>
<center>
<h1>LDAS Job Statistics</h1>
</center>
<br><br>
<a name="JobStatistics">
<h2>LDAS Job Statistics</h2><p>
This page allows LDAS users to obtain a graphical view of the number
of jobs passed or failed within a specified time.
<ol>
	<li>If you need to see jobs that passed, fail, or rejected, check off 
	<b><font color='green'>Jobs passed</font></b> check button, 
	<b><font color='red'>Jobs failed</font></b> check button or
	<b><font color='purple'>Jobs rejected</font></b> check button.
	 </li><p>
    <li>If you need to see jobs by specific commands and DSOs (dataPipelines only),
    make the selection for commands and DSOs (for dataPipelines only).
    To mutiple select the commands or DSOs, first click with <b>Button-1</b>, 
    hold down the <b>SHIFT</b> or <b>CONTROL</b> key  and click <b>Button-1</b> again
    to include the selected ones in the list.
     You can see your selection by hitting
    <b>View Selection</b> button. The default is all commands and all DSOs.<p>
	<li>If you need to see jobs submitted by a specific user, enter
	the user's Id. The default is all users, indicated by blanks or *.
    To specify a regexp pattern, e.g. all users having test in their ID,
    enter .+test. To specify one or the other enter with <b>|</b> separating the
    fields, e.g. <font color='brown'>isalzman|mlei</font></li><p>
	<li>Specify the time ranges: one easy way is to select one of the time
	options: <b>last minute, last hour, last day</b> to get some
	time in the entry fields and then modify the times to your desire range.</li><p>	
	<li>Submit request to server by hitting the <b>SUBMIT</b> button.</li>
</ol>
<p>
Response: <p>
A graph window popups up with the requested data and percentage of
job failed vs total number of jobs.<p>
<ul>
<li>To see the job number for failed job, bring the mouse over a red point.
A popup will appear to show the GPS time and the number of the job failed.</li><p>
<li>To set up the job number for LDAS log filtering, double click on the
a red point. Go to Log Filter page; see that the job number has been
set, select the filters and hit <b>SUBMIT</b> to submit request for logs.
For details on log filtering, see <a href='cmonClient-logs.html'>Log Filtering</a></li><p>
</ul>
<img src='cmonClient-jobStatistics.gif' width="700" height="500"><p><p>
</ol>
<p>
<p><a name="DBStatistics"><p>
<h2>LDAS Database Statistics</h2><p>
This page allows LDAS users to obtain a graphical view of the number
of database insertions and queries within a specified time.
<ol>
    <li> Select the desired database. The default database is the one shown when
    connected to the server.
	<li>If you need to see insertions, check off 
	<b><font color='magenta'> Insertions</font></b> check button. You 
	can filter insertions by a specific table. The default is all LDAS defined tables.</li><p>
	<li>If you need to see queries, check off 
	<b><font color='blue'>Queries</font></b> check button. </li><p>
    <li>If you need to see insertions by specific commands and DSOs (dataPipelines only),
    make the selection. You can see your selection by hitting
    <b>View Selection</b> button. The default is all commands and all DSOs.
	<li>If you need to see insertions/queries submitted by a specific user, enter
	the user's Id or regexp pattern of users. The default is all users, indicated by blanks or *.</li><p>
	<li>Specify the time ranges: one easy way is to select one of the time
	options: <b>last minute, last hour, last day</b> to get some
	time in the entry fields and then modify the times to your desire range.</li><p>	
	<li>Submit request to server by hitting the <b>SUBMIT</b> button.</li>
</ol>
<p>
Response: <p>
A graph window popups up with the insertions and/or queries 
as specified. <p><p>

<img src='cmonClient-DBStatistics.gif' width="700" height="400"><p><p>
<p>
<p>
<a name="QueueStatistics">
<h2>Job Queue Statistics</h2><p>
This page allows LDAS users to obtain a graphical view of the job
queue within a specified time.
<ol>
	<li>Specify the time ranges: one easy way is to select one of the time
	options: <b>last minute, last hour, last day</b> to get some
	time in the entry fields and then modify the times to your desire range.</li><p>	
	<li>Submit request to server by hitting the <b>SUBMIT</b> button.</li>
</ol>
<p>
Response: <p>
A graph window popups up with the requested data.<p>
<ul>
<li>To see the job numbers in the queue at a point in time, bring the mouse over a data point.
A popup will appear to show the GPS time and the number of the jobs.</li><p>
<li>To set up the job number for LDAS log filtering, double click on the
a data point. Go to Log Filter page; see that the job number has been
set, select the filters and hit <b>SUBMIT</b> to submit request for logs.
For details on log filtering, see <a href='cmonClient-logs.html'>Log Filtering</a></li><p>
</li>
</ul>
<img src='cmonClient-queueStatistics.gif' width="700" height="500"><p><p>

<p>
</body>
</html>
